class AccountSuggestionResonse {
  List<AccountList>? accountList;
  int? error;
  int? sessionExists;

  AccountSuggestionResonse({this.accountList, this.error, this.sessionExists});

  AccountSuggestionResonse.fromJson(Map<String, dynamic> json) {
    if (json['account_list'] != null) {
      accountList = <AccountList>[];
      json['account_list'].forEach((v) {
        accountList!.add(AccountList.fromJson(v));
      });
    }
    error = json['error'];
    sessionExists = json['session_exists'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    if (accountList != null) {
      data['account_list'] = accountList!.map((v) => v.toJson()).toList();
    }
    data['error'] = error;
    data['session_exists'] = sessionExists;
    return data;
  }
}

class AccountList {
  String? accountName;
  String? accountId;

  AccountList({this.accountName, this.accountId});

  AccountList.fromJson(Map<String, dynamic> json) {
    accountName = json['account_name'];
    accountId = json['account_id'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data['account_name'] = accountName;
    data['account_id'] = accountId;
    return data;
  }
}
